Set field definitions on the schema
Set field definitions on the schema
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
dna_sequence_schema_id
ID of the DnaSequenceSchema.
Request
This endpoint expects an object.
fieldDefinitions
The complete field list in the desired order, including archived fields. Include an id for each existing field and omit the id for new fields. Omitted update attributes retain their existing values. To archive an existing field, set archived to true and provide archiveReason. All existing fields must be included; omission is not deletion. Configured schema field limits apply.
Response
Task started
pollingUri
taskId
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error